<<< Previous |  | Next >>>

# mail::account::folderFromString

## Name

mail::account::folderFromString -- Restore a folder object

## Synopsis

#include <libmail/mail.H>
mail::account *account;
mail::folder *folder;
std::string savedFolder=folder->toString();
...

``mail::folder *f=account->`folderFromString``(std::string `savedFolder`);`

## USAGE

`savedFolder` is a folder object that was previously saved as a string. The `mail::account::folderFromString` method recreates the original folder object. That is, the returned `mail::folder` object refers to the same mail folder as the original `mail::folder` object.

NOTE: | Folders may only be recreated by `mail::account` objects that reference the same mail account referenced by the original `mail::folder` object.

## RETURN CODES AND CALLBACKS

This function returns a NULL pointer if it cannot allocate memory for the new `mail::folder` object.

NOTE:

`mail::folder`s are linked to their corresponding `mail::account`s. A `mail::folder` created by one `mail::account` may not be used with a different `mail::folder`. All `mail::folder`s created by a `mail::account` are invalidated when this `mail::account` object is destroyed. Note that the `mail::folder` objects are not automatically destroyed; the application is still responsible for destroying any remaining `mail::folder`s, after their a `mail::account` is destroyed.

## SEE ALSO

mail::account::findFolder(3x).

<<< Previous | Home | Next >>>
mail::account::findFolder | Up | mail::account::getFolderIndexInfo